## GtkPaned

GtkPaned

## Functions

void | gtk_paned_add1 ()
void | gtk_paned_add2 ()
#define | gtk_paned_gutter_size()
void | gtk_paned_pack1 ()
void | gtk_paned_pack2 ()
GtkWidget * | gtk_paned_get_child1 ()
GtkWidget * | gtk_paned_get_child2 ()
#define | gtk_paned_set_gutter_size()
void | gtk_paned_set_position ()
gint | gtk_paned_get_position ()
GdkWindow * | gtk_paned_get_handle_window ()

## Properties

gint | max-position | Read
gint | min-position | Read
gint | position | Read / Write
gboolean | position-set | Read / Write

## Child Properties

gboolean | resize | Read / Write
gboolean | shrink | Read / Write

## Style Properties

gint | handle-size | Read

## Signals

gboolean | accept-position | Action
gboolean | cancel-position | Action
gboolean | cycle-child-focus | Action
gboolean | cycle-handle-focus | Action
gboolean | move-handle | Action
gboolean | toggle-handle-focus | Action

## Types and Values

struct | GtkPaned

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkPaned
                            ├── GtkHPaned
                            ╰── GtkVPaned

## Implemented Interfaces

GtkPaned implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_paned_add1 ()

    void
    gtk_paned_add1 (GtkPaned *paned,
                    GtkWidget *child);

### gtk_paned_add2 ()

    void
    gtk_paned_add2 (GtkPaned *paned,
                    GtkWidget *child);

### gtk_paned_gutter_size()

    #define gtk_paned_gutter_size(p,s)		(void) 0

`gtk_paned_gutter_size` is deprecated and should not be used in newly-written code.

### gtk_paned_pack1 ()

    void
    gtk_paned_pack1 (GtkPaned *paned,
                     GtkWidget *child,
                     gboolean resize,
                     gboolean shrink);

### gtk_paned_pack2 ()

    void
    gtk_paned_pack2 (GtkPaned *paned,
                     GtkWidget *child,
                     gboolean resize,
                     gboolean shrink);

### gtk_paned_get_child1 ()

    GtkWidget *
    gtk_paned_get_child1 (GtkPaned *paned);

Obtains the first child of the paned widget.

#### Parameters

paned | a GtkPaned widget |

#### Returns

first child, or `NULL` if it is not set.

[transfer none]

Since: 2.4

### gtk_paned_get_child2 ()

    GtkWidget *
    gtk_paned_get_child2 (GtkPaned *paned);

Obtains the second child of the paned widget.

#### Parameters

paned | a GtkPaned widget |

#### Returns

second child, or `NULL` if it is not set.

[transfer none]

Since: 2.4

### gtk_paned_set_gutter_size()

    #define gtk_paned_set_gutter_size(p,s)		(void) 0

`gtk_paned_set_gutter_size` is deprecated and should not be used in newly-written code.

### gtk_paned_set_position ()

    void
    gtk_paned_set_position (GtkPaned *paned,
                            gint position);

Sets the position of the divider between the two panes.

#### Parameters

paned | a GtkPaned widget |
position | pixel position of divider, a negative value means that the position is unset. |

### gtk_paned_get_position ()

    gint
    gtk_paned_get_position (GtkPaned *paned);

Obtains the position of the divider between the two panes.

#### Parameters

paned | a GtkPaned widget |

#### Returns

position of the divider

### gtk_paned_get_handle_window ()

    GdkWindow *
    gtk_paned_get_handle_window (GtkPaned *paned);

Returns the GdkWindow of the handle. This function is useful when handling button or motion events because it enables the callback to distinguish between the window of the paned, a child and the handle.

#### Parameters

panede | a GtkPaned |

#### Returns

the paned's handle window.

[transfer none]

Since: 2.20

## Types and Values

### struct GtkPaned

    struct GtkPaned;

## Property Details

### The `“max-position”` property

      “max-position”             gint

The largest possible value for the position property. This property is derived from the size and shrinkability of the widget's children.

Flags: Read

Allowed values: >= 0

Default value: 2147483647

Since: 2.4

### The `“min-position”` property

      “min-position”             gint

The smallest possible value for the position property. This property is derived from the size and shrinkability of the widget's children.

Flags: Read

Allowed values: >= 0

Default value: 0

Since: 2.4

### The `“position”` property

      “position”                 gint

Position of paned separator in pixels (0 means all the way to the left/top).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“position-set”` property

      “position-set”             gboolean

TRUE if the Position property should be used.

Flags: Read / Write

Default value: FALSE

## Child Property Details

### The `“resize”` child property

      “resize”                   gboolean

The "resize" child property determines whether the child expands and shrinks along with the paned widget.

Flags: Read / Write

Default value: TRUE

Since: 2.4

### The `“shrink”` child property

      “shrink”                   gboolean

The "shrink" child property determines whether the child can be made smaller than its requisition.

Flags: Read / Write

Default value: TRUE

Since: 2.4

## Style Property Details

### The `“handle-size”` style property

      “handle-size”              gint

Width of handle.

Flags: Read

Allowed values: >= 0

Default value: 5

## Signal Details

### The `“accept-position”` signal

    gboolean
    user_function (GtkPaned *widget,
                   gpointer  user_data)

The ::accept-position signal is a

keybinding signal

which gets emitted to accept the current position of the handle when moving it using key bindings.

The default binding for this signal is Return or Space.

#### Parameters

widget | the object that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.0

### The `“cancel-position”` signal

    gboolean
    user_function (GtkPaned *widget,
                   gpointer  user_data)

The ::cancel-position signal is a

keybinding signal

which gets emitted to cancel moving the position of the handle using key bindings. The position of the handle will be reset to the value prior to moving it.

The default binding for this signal is Escape.

#### Parameters

widget | the object that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.0

### The `“cycle-child-focus”` signal

    gboolean
    user_function (GtkPaned *widget,
                   gboolean  reversed,
                   gpointer  user_data)

The ::cycle-child-focus signal is a

keybinding signal

which gets emitted to cycle the focus between the children of the paned.

The default binding is f6.

#### Parameters

widget | the object that received the signal |
reversed | whether cycling backward or forward |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.0

### The `“cycle-handle-focus”` signal

    gboolean
    user_function (GtkPaned *widget,
                   gboolean  reversed,
                   gpointer  user_data)

The ::cycle-handle-focus signal is a

keybinding signal

which gets emitted to cycle whether the paned should grab focus to allow the user to change position of the handle by using key bindings.

The default binding for this signal is f8.

#### Parameters

widget | the object that received the signal |
reversed | whether cycling backward or forward |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.0

### The `“move-handle”` signal

    gboolean
    user_function (GtkPaned     *widget,
                   GtkScrollType scroll_type,
                   gpointer      user_data)

The ::move-handle signal is a

keybinding signal

which gets emitted to move the handle when the user is using key bindings to move it.

#### Parameters

widget | the object that received the signal |
scroll_type | a GtkScrollType |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.0

### The `“toggle-handle-focus”` signal

    gboolean
    user_function (GtkPaned *widget,
                   gpointer  user_data)

The ::toggle-handle-focus is a

keybinding signal

which gets emitted to accept the current position of the handle and then move focus to the next widget in the focus chain.

The default binding is Tab.

#### Parameters

widget | the object that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 2.0